summaryrefslogtreecommitdiffstats
path: root/development/splint
diff options
context:
space:
mode:
author Menno E. Duursma2010-05-11 22:22:46 +0200
committer Erik Hanson2010-05-11 22:22:46 +0200
commitf44e9d9541e28b6468c1779d78d10e32a474d021 (patch)
treeb0b0eb54fa0f58fe80bfb98511010e45d6e6eb22 /development/splint
parent467e2d2eed529b9060acc1897ef096c80aba9e95 (diff)
downloadslackbuilds-f44e9d9541e28b6468c1779d78d10e32a474d021.tar.gz
development/splint: Updated for version 3.1.2
Diffstat (limited to 'development/splint')
-rw-r--r--development/splint/README4
-rw-r--r--development/splint/slack-desc8
-rw-r--r--development/splint/splint.SlackBuild18
-rw-r--r--development/splint/splint.info8
4 files changed, 23 insertions, 15 deletions
diff --git a/development/splint/README b/development/splint/README
index ff6b7c4a30..4abaf535d3 100644
--- a/development/splint/README
+++ b/development/splint/README
@@ -16,3 +16,7 @@ Splint is designed to be flexible and allow programmers to select
appropriate points on the effort-benefit curve for particular projects.
As different checks are turned on and more information is given in code
annotations the number of bugs that can be detected increases dramatically.
+
+This package configures splint als the default lint if no other command by
+that name is encountered on the system.
+
diff --git a/development/splint/slack-desc b/development/splint/slack-desc
index 8a71d167b1..d481dca8d1 100644
--- a/development/splint/slack-desc
+++ b/development/splint/slack-desc
@@ -9,11 +9,11 @@
splint: Splint (Secure Programming Lint)
splint:
splint: Splint is a tool for statically checking C programs for security
-splint: vulnerabilities and coding mistakes. With minimal effort, Splint
-splint: can be used as a better lint. If additional effort is invested
-splint: adding annotations to programs, Splint can perform stronger checking
-splint: than can be done by any standard lint.
+splint: vulnerabilities and coding mistakes.
splint:
splint: Splint is developed and maintained by the Secure Programming Group
splint: at the University of Virginia Department of Computer Science. David
splint: Evans is the project leader and the primary developer of Splint.
+splint:
+splint:
+splint:
diff --git a/development/splint/splint.SlackBuild b/development/splint/splint.SlackBuild
index 564f182b76..3721e257b0 100644
--- a/development/splint/splint.SlackBuild
+++ b/development/splint/splint.SlackBuild
@@ -5,7 +5,7 @@
# Modified by the SlackBuilds.org project
PRGNAM=splint
-VERSION=3.1.1
+VERSION=3.1.2
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -14,6 +14,9 @@ TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
+# Exit immediately if a command exits with a non-zero status.
+set -e
+
if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
elif [ "$ARCH" = "i686" ]; then
@@ -24,8 +27,8 @@ rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
rm -rf $PRGNAM-$VERSION
-tar xzvf $CWD/$PRGNAM-$VERSION.src.tgz || exit 1
-cd $PRGNAM-$VERSION || exit 1
+tar xzvf $CWD/$PRGNAM-$VERSION.src.tgz
+cd $PRGNAM-$VERSION
chown -R root:root .
chmod -R u+w,go+r-w,a-s .
@@ -37,12 +40,12 @@ CXXFLAGS="$SLKCFLAGS" \
--sysconfdir=/etc \
|| exit 1
-make || exit 1
-make install DESTDIR=$PKG || exit 1
+make
+make install DESTDIR=$PKG
( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . -type f | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . -type f | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
)
( cd $PKG/usr/man
@@ -58,6 +61,7 @@ cd html
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION/html
cp *.htm *.html $PKG/usr/doc/$PRGNAM-$VERSION/html
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+cat $CWD/README > $PKG/usr/doc/$PRGNAM-$VERSION/README.SBo
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
diff --git a/development/splint/splint.info b/development/splint/splint.info
index b3a48f8961..7c32a5ce77 100644
--- a/development/splint/splint.info
+++ b/development/splint/splint.info
@@ -1,8 +1,8 @@
PRGNAM="splint"
-VERSION="3.1.1"
+VERSION="3.1.2"
HOMEPAGE="http://www.splint.org/"
-DOWNLOAD="http://www.splint.org/downloads/splint-3.1.1.src.tgz"
-MD5SUM="91635d98644312302f6f16abe73c2474"
+DOWNLOAD="http://www.splint.org/downloads/splint-3.1.2.src.tgz"
+MD5SUM="25f47d70bd9c8bdddf6b03de5949c4fd"
MAINTAINER="Menno E. Duursma"
EMAIL="druiloor@zonnet.nl"
-APPROVED="elohim"
+APPROVED="Erik Hanson" \ No newline at end of file